解决FindBLAS.cmake error LAPACK/BLAS: A required library with BLAS API not found.

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/arackethis/article/details/42301621

编译程序时出现错误:

CMake Error at /usr/share/cmake-2.8/Modules/FindBLAS.cmake:612 (message):

  A required library with BLAS API not found.  Please specify library location.

Call Stack (most recent call first):

CMakeLists.txt:77 (find_package)


解决方法:spm安装如下2个包:

libblas-dev

liblapack-dev


安装以后,重新配置,错误消失。



其它信息:

libblas-dev:Basic Linear Algebra Subroutines 3, static library

liblapack-dev (3.2.1-8):library of linear algebra routines

This package is a binary incompatible upgrade to the lapack-dev package. The (minor) incompatibilities are entirely due to changes in the blas library, against which this library is linked. Please see the documentation for the refblas3 package for details.


LAPACK version 3.X is a comprehensive FORTRAN library that does linear algebra operations including matrix inversions, least squared solutions to linear sets of equations, eigenvector analysis, singular value decomposition, etc. It is a very comprehensive and reputable package that has found extensive use in the scientific community.


参考:

http://stackoverflow.com/questions/19711855/ubuntu-10-04-issue-lapack-blas-api-a-required-library-with-blas-api-not-found

没有更多推荐了,返回首页